<img src="https://github.com/nwg-piotr/nwg-shell/assets/20579136/58e3dcc1-d738-449f-a6d0-e5cbb91e4e60" width="90" style="margin-right:10px" align=left alt="nwg-shell logo">
<H1>nwg-shell</H1><br>

**nwg-shell** is a GTK3-based shell for [sway](https://github.com/swaywm/sway) and 
[Hyprland](https://github.com/hyprwm/Hyprland) Wayland compositors. The project provides a common configuration tool 
(**nwg-shell-config**) that allows you to configure the system in a graphical UI, and a range of components such as 
**nwg-panel** (system panel), **nwg-drawer** (application launcher), **nwg-dock** (system dock) or **nwg-menu** 
(XDG-style menu). It also includes several native tools as 
**nwg-look** (look and feel GTK settings editor), **nwg-displays** (display configuration tool), **Azote** (wallpaper 
manager), **nwg-clipman** (clipboard history manager), **nwg-icon-picker** (icon browser with textual search), 
**nwg-readme-browser** (documentation viewer) and **nwg-hello** (login manager). Scripts and utilities such as 
**autotiling** (script for sway to automatically switch the horizontal / vertical window split orientation) and 
**gospuinfo** (a command to display system usage info) are used in the background. The shell also utilizes third party 
software as **swaync** (notification center), **gtklock** / **swaylock** (screen lockers) and more. The `nwg-shell` 
package itself acts as a metapackage and installer of default configuration files.

Learn more about nwg-shell on the [**project website**](https://nwg-piotr.github.io/nwg-shell).

<a href="https://liberapay.com/nwg/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a>

## Installation

For installation instructions, see the [Wiki page](https://github.com/nwg-piotr/nwg-shell/wiki).

[![Packaging status](https://repology.org/badge/vertical-allrepos/nwg-shell.svg)](https://repology.org/project/nwg-shell/versions)

## Contributing

Please read the [general contributing rules for the nwg-shell project](https://nwg-piotr.github.io/nwg-shell/contribution).

## License

The shell components are provided under the terms of the [MIT License](https://github.com/nwg-piotr/nwg-shell/blob/main/LICENSE),
unless otherwise specified for a certain component.

## Contact

- Use [Discussions](https://github.com/nwg-piotr/nwg-shell/discussions) to see CHANGELOG and announcements, share ideas, ask for support.
- Use [this invitation](https://matrix.to/#/#nwg-shell:matrix.org) to join the live chat on Matrix.

### Powered by
[![JetBrains logo.](https://resources.jetbrains.com/storage/products/company/brand/logos/jetbrains.svg)](https://jb.gg/OpenSource)

Copyright © 2025 JetBrains s.r.o. JetBrains and the JetBrains logo are trademarks of JetBrains s.r.o.
